%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ccnet
Version:	6.1.8
Release:	%mkrel 9
Summary:	Framework for writing networked applications in C
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/ccnet
Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		fix-async-client-py3.patch
Patch1:		fix-packet-py3.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala >= 0.26
# server requirements
BuildRequires:	pkgconfig(zdb)

Requires:	python3dist(ccnet) = %{version}-%{release}

%description
Ccnet is a framework for writing networked applications in C.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Ccnet is a framework for writing networked applications in C.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	python3dist(ccnet) = %{version}-%{release}
Obsoletes:	python-ccnet < 6.0.7-2
Provides:	python-ccnet = %{version}-%{release}

Obsoletes:	python2-ccnet < 6.1.8-3

%description -n	python3-%{name}
Ccnet is a framework for writing networked applications in C.
This package contains the python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

sed -i -e /\(DESTDIR\)/d libccnet.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure \
	--disable-static \
	--disable-compile-demo \
	PYTHON=%{__python3}
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc HACKING README.markdown
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-init

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc HACKING README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python3-%{name}
%doc HACKING README.markdown
%{python3_sitearch}/%{name}/


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 6.1.8-9.mga9
+ Revision: 1841540
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 6.1.8-8.mga9
+ Revision: 1774242
- rebuild for python-3.10
+ wally <wally>
- rebuild for openssl 3.0.0

* Sat Mar 20 2021 daviddavid <daviddavid> 6.1.8-6.mga9
+ Revision: 1705241
- rebuild for python 3.9

* Sun Feb 16 2020 daviddavid <daviddavid> 6.1.8-5.mga8
+ Revision: 1531954
- rebuild for new libevent 2.1.11

* Tue Feb 11 2020 daviddavid <daviddavid> 6.1.8-4.mga8
+ Revision: 1490355
- port more to python3

* Tue Feb 11 2020 daviddavid <daviddavid> 6.1.8-3.mga8
+ Revision: 1490106
- port to python3
- drop python2 support
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 12 2018 wally <wally> 6.1.8-2.mga7
+ Revision: 1258627
- rebuild for aarch64

* Thu May 17 2018 daviddavid <daviddavid> 6.1.8-1.mga7
+ Revision: 1230202
- new version: 6.1.8

* Fri Mar 30 2018 daviddavid <daviddavid> 6.1.7-1.mga7
+ Revision: 1213659
- new version: 6.1.7

* Tue Mar 13 2018 daviddavid <daviddavid> 6.1.6-1.mga7
+ Revision: 1208924
- new version: 6.1.6

* Sat Feb 10 2018 daviddavid <daviddavid> 6.1.5-1.mga7
+ Revision: 1199980
- new version: 6.1.5

* Sat Dec 23 2017 daviddavid <daviddavid> 6.1.4-1.mga7
+ Revision: 1184156
- new version: 6.1.4

* Thu Nov 16 2017 daviddavid <daviddavid> 6.1.3-1.mga7
+ Revision: 1177545
- new version: 6.1.3

* Wed Oct 04 2017 daviddavid <daviddavid> 6.1.1-1.mga7
+ Revision: 1168185
- new version: 6.1.1

* Fri Aug 11 2017 daviddavid <daviddavid> 6.1.0-1.mga7
+ Revision: 1139754
- new version: 6.1.0
- rename python-ccnet to python2-ccnet

* Sun Jul 02 2017 daviddavid <daviddavid> 6.0.7-1.mga6
+ Revision: 1108910
- new version: 6.0.7

* Sat Jul 01 2017 daviddavid <daviddavid> 6.0.6-1.mga6
+ Revision: 1108838
- new version: 6.0.6

* Wed Apr 26 2017 akien <akien> 6.0.4-1.mga6
+ Revision: 1097533
- Server code removed from 6.0.x
- Fix name of license file
- Version 6.0.4

* Sun Feb 12 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1085892
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064293
- new version: 6.0.0

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038171
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1014278
- add the server part of ccnet

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009881
- initial package ccnet

